//
//  NextViewController.m
//  SegueSample
//
//  Created by eien.support@gmail.com on 12/03/29.
//  Copyright (c) 2012年 __MyCompanyName__. All rights reserved.
//

#import "NextViewController.h"

@interface NextViewController ()

@property (weak, nonatomic) IBOutlet UILabel *labelView;
@property (weak, nonatomic) IBOutlet UIStepper *stepperView;
@end

@implementation NextViewController
@synthesize labelView;
@synthesize stepperView;
@synthesize value = _value;
@synthesize delegate;

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
}

- (void)viewDidUnload
{
    [self setStepperView:nil];
    [self setLabelView:nil];
    [super viewDidUnload];
    // Release any retained subviews of the main view.
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation == UIInterfaceOrientationPortrait);
}

-(void)viewWillAppear:(BOOL)animated
{
    self.stepperView.value = self.value;
    [self setepperValueChanged:self.stepperView];
}

-(void)viewWillDisappear:(BOOL)animated
{
    [super viewWillDisappear:animated];
    if ( [self.delegate respondsToSelector:@selector(nextViewValueDidChanged:)] ) {
        [self.delegate nextViewValueDidChanged:self.value];
    }
}

- (IBAction)setepperValueChanged:(id)sender {
    self.value = (int)self.stepperView.value;
    NSString *aString = [NSString stringWithFormat:@"%d",self.value];
    self.labelView.text = aString;
}

@end
